Skip to main content
PATCH
/
certifications
/
{uuid}
/
resources
/
{subUuid}
Update a curriculum resource in a certification
curl --request PATCH \
  --url https://api.journeybee.io/v1/certifications/{uuid}/resources/{subUuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "series": 123,
  "is_required": true,
  "prerequisite_resource_uuid": "<string>"
}
'
{
  "uuid": "<string>",
  "resource_uuid": "<string>",
  "resource_label": "<string>",
  "series": 123,
  "is_required": true,
  "prerequisite_resource_uuid": "<string>",
  "created_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
subUuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
series
number
is_required
boolean
prerequisite_resource_uuid
string | null

Response

200 - application/json

A resource in the certification curriculum (learning path).

A resource in the certification curriculum (learning path).

uuid
string
required

Curriculum entry UUID

resource_uuid
string
required

UUID of the linked resource

resource_label
string | null
required

Resource title

series
number
required

Order in curriculum (1-indexed)

is_required
boolean
required

Whether completion is required to pass

prerequisite_resource_uuid
string | null
required

UUID of prerequisite curriculum entry, or null

created_at
string
required